<?php
setlocale (LC_TIME, "de_DE");
$time = strftime ("%H:%M:%S");
$date = strftime ("%m.%d.'%y");
$IP = getenv("REMOTE_ADDR");
$REFERER = getenv("HTTP_REFERER");
$jetzt = time();
$seit = mktime(0, 0, 0, 5, 25, 2003);
$Settings= parse_ini_file("settings.ini", true);
if(!isset($text) || !$text) {
$text=$Settings['Einstellungen']['Text'];
} else {
$text = str_replace("<br />","\r\n",$text);
$text = str_replace("<br>","\r\n",$text);
$text = str_replace("-l-","+",$text);
$text = str_replace("-r-","%",$text);
$text = rawurldecode($text);
$text = str_replace("-REMOTE-",$IP,$text);
$text = str_replace("-REFERER-",$REFERER,$text);
$text = str_replace("-TIME-",$time,$text);
$text = str_replace("-DATE-",$date,$text);
$text = str_replace("-br","\r\n",$text);
$text = str_replace("|","\r\n",$text);
}
$text = str_replace("|","\r\n",$text);
$text = str_replace("-br","\r\n",$text);
$text = stripslashes(stripslashes($text));
$text = urldecode($text);
$txt_array = split("\r\n", $text);

if(!$style)
$style=$Settings['Einstellungen']['Style'];
if(!$font)
$font = $Settings['Einstellungen']['Font'];
if(!$size || $size > $Settings['Einstellungen']['MaximaleSchriftgroesse'])
$size=$Settings['Einstellungen']['Schriftgroesse'];
if(!$forecolor)
$forecolor=$Settings['Einstellungen']['Vordergrundfarbe'];
if(!$backcolor)
$backcolor=$Settings['Einstellungen']['Hintergrundfarbe'];
if(!$bordercolor)
$bordercolor=$Settings['Einstellungen']['Rahmenfarbe'];
if(!$styles)
$styles=$Settings['Einstellungen']['Rahmenstyle'];
if($_SERVER['REMOTE_ADDR']=="127.0.0.1") {
$jetec_Url="";
$jetec_Absurl="";
} else {
$jetec_Absurl=$Settings['Einstellungen']['Pfad'];
$jetec_Url=$Settings['Einstellungen']['Url'];
}
if (!$align)
$align="center";
$src_file = $jetec_Absurl."/vorlagen/".$style.".png";
$img_src = imagecreatefrompng($src_file);
if($img_src) {
$img_src_transparent = imagecolorat ($img_src,1,1);
imagecolortransparent($img_src, $img_src_transparent);
$src_size = getimagesize($src_file);
$Abstand = 15;

$TTFBox = imagettfbbox($size, 0, $jetec_Absurl."/fonts/".$font, $text);
$TTFWidth = ($TTFBox[2] - $TTFBox[0]) + 50; //10
$TTFHeight = ($TTFBox[1] - $TTFBox[7]) +  1; // 1 - 7
$CharHeight = imagefontheight($font) ;
$tst = ("jJagGhH");
$TTFBox = imagettfbbox($size, 0, $jetec_Absurl."/fonts/".$font, $tst);
$tstsize = $TTFBox[1] - $TTFBox[7];
$tst_height = count($txt_array) * $tstsize;
$img_new = imagecreate($TTFWidth,30 + $tst_height+5);
header("Content-type: image/png");
$a = imagecolorallocate($img_new, 255, 255, 255);
$b = imagecolorallocate($img_new,0 , 0, 0);
$c = imagecolorallocate($img_new,255, 0, 0);
$d = imagecolorallocate($img_new, 0, 255, 0);
$e = imagecolorallocate($img_new, 0, 0, 255);
$f = imagecolorallocate($img_new, 255, 255, 0);
$g = imagecolorallocate($img_new, 0, 255, 255);
$h = imagecolorallocate($img_new, 255, 0, 255);
$i = imagecolorallocate($img_new, 153, 153, 153);
$j = imagecolorallocate($img_new, 0, 0, 102);
$k = imagecolorallocate($img_new, 153, 153, 102);
$l = imagecolorallocate($img_new, 102, 0, 0);
$m = imagecolorallocate($img_new, 255, 153, 153);
switch($align) {
case "center":
$schild_align =  ($TTFWidth / 2) - ($src_size[0] / 2);
break;
case "left":
$schild_align = 0;
break;
case "right":
$schild_align = $TTFWidth - $src_size[0];
break;
default:
$schild_align = ($TTFWidth / 2) - ($src_size[0] / 2);
break;
}
$img_new_transparent = imagecolorallocate($img_new,55,55,55);
imagefill($img_new,0, 0, $img_new_transparent);
imagecolortransparent($img_new, $img_new_transparent);
ImageCopy ($img_new, $img_src, $schild_align, $tst_height - 17, 0,0 , $src_size[0], $src_size[1]);
ImageCopy ($img_new, $img_src, $schild_align,0,0,0, $src_size[0], 4);
$x = array ($$bordercolor, $$bordercolor);
$y = array ($$bordercolor, $$bordercolor, $$bordercolor, $$bordercolor, $$bordercolor, $$bordercolor, $$backcolor, $$backcolor, $$backcolor, $$backcolor, $$backcolor, $$backcolor, $$backcolor);
$z = array ($$bordercolor, $$bordercolor, $$bordercolor, $$bordercolor, $$bordercolor, $$bordercolor, $$backcolor, $$backcolor, $$backcolor, $$backcolor, $$backcolor, $$backcolor, $$backcolor, $$bordercolor, $$backcolor, $$backcolor, $$backcolor, $$backcolor, $$backcolor, $$backcolor, $$backcolor);
imagesetstyle ($img_new, $$styles);
imagefilledrectangle($img_new,0, 4, $TTFWidth, $tst_height + $Abstand - 4, $$backcolor);
imagerectangle($img_new,0, 4, $TTFWidth-1, $tst_height + $Abstand - 3, IMG_COLOR_STYLED);
$farbe = imagecolorallocate($img_new,0,0,0);
for($line_counter = 0; $line_counter <= count($txt_array); $line_counter++) {
$StringBox = imagettfbbox($size, 0, $jetec_Absurl."/fonts/".$font, $txt_array[$line_counter]);
$StringWidth = ($StringBox[2] - $StringBox[0]);
switch($align) {
case "center":
$text_align =  ($TTFWidth / 2) - ($StringWidth / 2);
break;
case "left":
$text_align = $Abstand;
break;
case "right":
$text_align = $TTFWidth - $StringWidth - $Abstand;
break;
default:
$text_align = ($TTFWidth / 2) - ($StringWidth / 2);
break;
}
$Height = 10 + ($line_counter * $tstsize);
imagettftext ($img_new, $size, 0, $text_align, -$TTFBox[7]  + $Height - 2, $$forecolor, $jetec_Absurl."/fonts/".$font, $txt_array[$line_counter]);
}
imagepng($img_new);
imagepng($img_new, "tmp");
imagedestroy($img_new);
imagedestroy($img_src);
}
?>